path: /build/build/wpa_supplicant-net-wireless-2.10+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl -qt5 -selinux dbus eap-sim kernel_linux readline" emerge net-wireless/wpa_supplicant -pv -t && \
    USE="-libressl -qt5 -selinux dbus eap-sim kernel_linux readline" emerge -j ${JOBS} --nodeps net-wireless/wpa_supplicant
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wpa_supplicant && luet-portage --dir
    /pkgdir/wpa_supplicant net-wireless/wpa_supplicant && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e11f66066e7013d91e8da07e11613fde691019a2634c2162fc47e2088504b657
  package:
    name: wpa_supplicant
    version: 2.10+2
    category: net-wireless
    use_flags:
    - -libressl
    - -qt5
    - -selinux
    - dbus
    - eap-sim
    - kernel_linux
    - readline
    requires:
    - name: pcsc-lite
      version: '>=0'
      category: sys-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: IEEE 802.1X/WPA supplicant for secure wireless transfers
    uri:
    - https://w1.fi/wpa_supplicant/
    license: '|| ( GPL-2 BSD )'
    buildtimestamp: 2023-08-23 19:26:47.213253789 +0000 UTC m=+163.702386783
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: dbus? ( sys-apps/dbus ) kernel_linux? ( dev-libs/libnl:3 net-wireless/crda
        eap-sim? ( sys-apps/pcsc-lite ) ) !kernel_linux? ( net-libs/libpcap ) qt5?
        ( dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtsvg:5 dev-qt/qtwidgets:5 ) readline?
        ( sys-libs/ncurses:0= sys-libs/readline:0= ) !libressl? ( >=dev-libs/openssl-1.0.2k:0=[bindist=]
        ) libressl? ( dev-libs/libressl:0= ) virtual/pkgconfig
      IUSE: ap bindist dbus eap-sim eapol_test fasteap +fils +hs2-0 libressl macsec
        p2p privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax
        wps kernel_linux kernel_FreeBSD
      RDEPEND: dbus? ( sys-apps/dbus ) kernel_linux? ( dev-libs/libnl:3 net-wireless/crda
        eap-sim? ( sys-apps/pcsc-lite ) ) !kernel_linux? ( net-libs/libpcap ) qt5?
        ( dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtsvg:5 dev-qt/qtwidgets:5 ) readline?
        ( sys-libs/ncurses:0= sys-libs/readline:0= ) !libressl? ( >=dev-libs/openssl-1.0.2k:0=[bindist=]
        ) libressl? ( dev-libs/libressl:0= ) selinux? ( sec-policy/selinux-networkmanager
        )
      emerge.packages: net-wireless/wpa_supplicant
      kit: core-kit
      original.package.name: net-wireless/wpa_supplicant
      original.package.slot: "0"
      original.package.version: "2.10"
    treedir: /build/packages
  package_dir: /pkgdir/wpa_supplicant
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 123c6d0119142f6a47e7a1e24e45bd8d5923b149e0ad4fe5dae6308602f82fc6
compressiontype: zstd
files:
- etc/conf.d/wpa_supplicant
- etc/dbus-1/system.d/wpa_supplicant.conf
- etc/init.d/wpa_supplicant
- etc/wpa_supplicant/wpa_cli.sh
- lib/systemd/system/wpa_supplicant-nl80211@.service
- lib/systemd/system/wpa_supplicant-wired@.service
- lib/systemd/system/wpa_supplicant.service
- lib/systemd/system/wpa_supplicant@.service
- usr/bin/wpa_cli
- usr/bin/wpa_passphrase
- usr/sbin/wpa_supplicant
- usr/share/dbus-1/system-services/fi.w1.wpa_supplicant1.service
- usr/share/doc/wpa_supplicant-2.10/ChangeLog.bz2
- usr/share/doc/wpa_supplicant-2.10/README-WPS.bz2
- usr/share/doc/wpa_supplicant-2.10/README.bz2
- usr/share/doc/wpa_supplicant-2.10/README.gentoo.bz2
- usr/share/doc/wpa_supplicant-2.10/build-config.bz2
- usr/share/doc/wpa_supplicant-2.10/eap_testing.txt.bz2
- usr/share/doc/wpa_supplicant-2.10/todo.txt.bz2
- usr/share/doc/wpa_supplicant-2.10/wpa_supplicant.conf.bz2
- var/db/pkg/net-wireless/wpa_supplicant-2.10/BDEPEND
- var/db/pkg/net-wireless/wpa_supplicant-2.10/BUILD_TIME
- var/db/pkg/net-wireless/wpa_supplicant-2.10/CATEGORY
- var/db/pkg/net-wireless/wpa_supplicant-2.10/CBUILD
- var/db/pkg/net-wireless/wpa_supplicant-2.10/CC
- var/db/pkg/net-wireless/wpa_supplicant-2.10/CFLAGS
- var/db/pkg/net-wireless/wpa_supplicant-2.10/CHOST
- var/db/pkg/net-wireless/wpa_supplicant-2.10/CONTENTS
- var/db/pkg/net-wireless/wpa_supplicant-2.10/COUNTER
- var/db/pkg/net-wireless/wpa_supplicant-2.10/CXXFLAGS
- var/db/pkg/net-wireless/wpa_supplicant-2.10/DEFINED_PHASES
- var/db/pkg/net-wireless/wpa_supplicant-2.10/DEPEND
- var/db/pkg/net-wireless/wpa_supplicant-2.10/DESCRIPTION
- var/db/pkg/net-wireless/wpa_supplicant-2.10/EAPI
- var/db/pkg/net-wireless/wpa_supplicant-2.10/FEATURES
- var/db/pkg/net-wireless/wpa_supplicant-2.10/HOMEPAGE
- var/db/pkg/net-wireless/wpa_supplicant-2.10/INHERITED
- var/db/pkg/net-wireless/wpa_supplicant-2.10/IUSE
- var/db/pkg/net-wireless/wpa_supplicant-2.10/IUSE_EFFECTIVE
- var/db/pkg/net-wireless/wpa_supplicant-2.10/KEYWORDS
- var/db/pkg/net-wireless/wpa_supplicant-2.10/LDFLAGS
- var/db/pkg/net-wireless/wpa_supplicant-2.10/LICENSE
- var/db/pkg/net-wireless/wpa_supplicant-2.10/NEEDED
- var/db/pkg/net-wireless/wpa_supplicant-2.10/PF
- var/db/pkg/net-wireless/wpa_supplicant-2.10/RDEPEND
- var/db/pkg/net-wireless/wpa_supplicant-2.10/REQUIRES
- var/db/pkg/net-wireless/wpa_supplicant-2.10/SIZE
- var/db/pkg/net-wireless/wpa_supplicant-2.10/SLOT
- var/db/pkg/net-wireless/wpa_supplicant-2.10/USE
- var/db/pkg/net-wireless/wpa_supplicant-2.10/environment.bz2
- var/db/pkg/net-wireless/wpa_supplicant-2.10/repository
- var/db/pkg/net-wireless/wpa_supplicant-2.10/wpa_supplicant-2.10.ebuild
package_cacheimage: ""
runtime:
  name: wpa_supplicant
  version: 2.10+2
  category: net-wireless
  use_flags:
  - -libressl
  - -qt5
  - -selinux
  - dbus
  - eap-sim
  - kernel_linux
  - readline
  requires:
  - name: crda
    version: '>=0'
    category: net-wireless
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: pcsc-lite
    version: '>=0'
    category: sys-apps
  - name: readline
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: IEEE 802.1X/WPA supplicant for secure wireless transfers
  uri:
  - https://w1.fi/wpa_supplicant/
  license: '|| ( GPL-2 BSD )'
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: dbus? ( sys-apps/dbus ) kernel_linux? ( dev-libs/libnl:3 net-wireless/crda
      eap-sim? ( sys-apps/pcsc-lite ) ) !kernel_linux? ( net-libs/libpcap ) qt5? (
      dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtsvg:5 dev-qt/qtwidgets:5 ) readline?
      ( sys-libs/ncurses:0= sys-libs/readline:0= ) !libressl? ( >=dev-libs/openssl-1.0.2k:0=[bindist=]
      ) libressl? ( dev-libs/libressl:0= ) virtual/pkgconfig
    IUSE: ap bindist dbus eap-sim eapol_test fasteap +fils +hs2-0 libressl macsec
      p2p privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax
      wps kernel_linux kernel_FreeBSD
    RDEPEND: dbus? ( sys-apps/dbus ) kernel_linux? ( dev-libs/libnl:3 net-wireless/crda
      eap-sim? ( sys-apps/pcsc-lite ) ) !kernel_linux? ( net-libs/libpcap ) qt5? (
      dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtsvg:5 dev-qt/qtwidgets:5 ) readline?
      ( sys-libs/ncurses:0= sys-libs/readline:0= ) !libressl? ( >=dev-libs/openssl-1.0.2k:0=[bindist=]
      ) libressl? ( dev-libs/libressl:0= ) selinux? ( sec-policy/selinux-networkmanager
      )
    emerge.packages: net-wireless/wpa_supplicant
    kit: core-kit
    original.package.name: net-wireless/wpa_supplicant
    original.package.slot: "0"
    original.package.version: "2.10"
